Unexpected message "Utility Module and Dynamic Web Module 2.4 cannot both be selected"

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Unexpected message "Utility Module and Dynamic Web Module 2.4 cannot both be selected"

Amshoff Christoph, Köln
Unexpected message "Utility Module and Dynamic Web Module 2.4 cannot both be selected"

Hi,

I have a Maven subproject (with war packaging) that I can nicely import into Eclipse. However, when adding a dependency to another subproject (i.e. which is sharing the same parent) of packaging jar, and trying to update the project configuration, I get the following message:

Can't update maven configuration
  One or more constraints have not been satisfied.
    Utility Module and Dynamic Web Module 2.4 cannot both be selected.

This only occurs when the added project is in the same workspace and workspace resolution is enabled (which is what we actually want, of course).

What does this mean? What am I doing wrong? I'm pretty sure we had similar situations before where everything worked fine, but I can't figure out what is different here...

My environment: Eclipse 3.4.0, WST 3.0.1, m2eclipse release 0.9.6

Thanks for any help. Tell me if you need more information (POM file etc.)


Regards,
Christoph.

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Unexpected message "Utility Module and Dynamic Web Module 2.4 cannot both be selected"

Fred Bricon
Hi Christoph,

This has been fixed in 0.9.7 (http://jira.codehaus.org/browse/MNGECLIPSE-597).
You can try the  latest dev build or wait till its imminent release (03/02/09).

regards

Fred Bricon

On Fri, Jan 30, 2009 at 8:11 AM, Amshoff Christoph, Köln <[hidden email]> wrote:

Hi,

I have a Maven subproject (with war packaging) that I can nicely import into Eclipse. However, when adding a dependency to another subproject (i.e. which is sharing the same parent) of packaging jar, and trying to update the project configuration, I get the following message:

Can't update maven configuration
  One or more constraints have not been satisfied.
    Utility Module and Dynamic Web Module 2.4 cannot both be selected.

This only occurs when the added project is in the same workspace and workspace resolution is enabled (which is what we actually want, of course).

What does this mean? What am I doing wrong? I'm pretty sure we had similar situations before where everything worked fine, but I can't figure out what is different here...

My environment: Eclipse 3.4.0, WST 3.0.1, m2eclipse release 0.9.6

Thanks for any help. Tell me if you need more information (POM file etc.)


Regards,
Christoph.


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

AW: Unexpected message "Utility Module and Dynamic Web Module 2.4 cannot both be selected"

Amshoff Christoph, Köln
Fred,
 
thanks for this info! I'll wait until next week's release.
 
However, what I do not understand: this definitely is working for other projects of mine with the same constallation (war project referencing a jar project) and I can't see any difference to them... anyways, glad to try the new version soon.
 
Thanks,
Christoph


Von: Fred Bricon [mailto:[hidden email]]
Gesendet: Freitag, 30. Januar 2009 10:21
An: [hidden email]
Betreff: Re: [m2eclipse-user] Unexpected message "Utility Module and Dynamic Web Module 2.4 cannot both be selected"

Hi Christoph,

This has been fixed in 0.9.7 (http://jira.codehaus.org/browse/MNGECLIPSE-597).
You can try the  latest dev build or wait till its imminent release (03/02/09).

regards

Fred Bricon

On Fri, Jan 30, 2009 at 8:11 AM, Amshoff Christoph, Köln <[hidden email]> wrote:

Hi,

I have a Maven subproject (with war packaging) that I can nicely import into Eclipse. However, when adding a dependency to another subproject (i.e. which is sharing the same parent) of packaging jar, and trying to update the project configuration, I get the following message:

Can't update maven configuration
  One or more constraints have not been satisfied.
    Utility Module and Dynamic Web Module 2.4 cannot both be selected.

This only occurs when the added project is in the same workspace and workspace resolution is enabled (which is what we actually want, of course).

What does this mean? What am I doing wrong? I'm pretty sure we had similar situations before where everything worked fine, but I can't figure out what is different here...

My environment: Eclipse 3.4.0, WST 3.0.1, m2eclipse release 0.9.6

Thanks for any help. Tell me if you need more information (POM file etc.)


Regards,
Christoph.


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Unexpected message "Utility Module and Dynamic Web Module 2.4 cannot both be selected"

Fred Bricon
If I remember this was due to the order in which modules where imported/configured, and a lack of strict control when configuring projects.

On Fri, Jan 30, 2009 at 10:40 AM, Amshoff Christoph, Köln <[hidden email]> wrote:
Fred,
 
thanks for this info! I'll wait until next week's release.
 
However, what I do not understand: this definitely is working for other projects of mine with the same constallation (war project referencing a jar project) and I can't see any difference to them... anyways, glad to try the new version soon.
 
Thanks,
Christoph


Von: Fred Bricon [mailto:[hidden email]]
Gesendet: Freitag, 30. Januar 2009 10:21
An: [hidden email]
Betreff: Re: [m2eclipse-user] Unexpected message "Utility Module and Dynamic Web Module 2.4 cannot both be selected"

Hi Christoph,

This has been fixed in 0.9.7 (http://jira.codehaus.org/browse/MNGECLIPSE-597).
You can try the  latest dev build or wait till its imminent release (03/02/09).

regards

Fred Bricon

On Fri, Jan 30, 2009 at 8:11 AM, Amshoff Christoph, Köln <[hidden email]> wrote:

Hi,

I have a Maven subproject (with war packaging) that I can nicely import into Eclipse. However, when adding a dependency to another subproject (i.e. which is sharing the same parent) of packaging jar, and trying to update the project configuration, I get the following message:

Can't update maven configuration
  One or more constraints have not been satisfied.
    Utility Module and Dynamic Web Module 2.4 cannot both be selected.

This only occurs when the added project is in the same workspace and workspace resolution is enabled (which is what we actually want, of course).

What does this mean? What am I doing wrong? I'm pretty sure we had similar situations before where everything worked fine, but I can't figure out what is different here...

My environment: Eclipse 3.4.0, WST 3.0.1, m2eclipse release 0.9.6

Thanks for any help. Tell me if you need more information (POM file etc.)


Regards,
Christoph.



Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Unexpected message "Utility Module and Dynamic Web Module 2.4 cannot both be selected"

Stefan Lecho
This post has NOT been accepted by the mailing list yet.
I'm having the same problem when using Eclipse Indigo Service Release 1 and m2e v1.00.100.20110804-1717. What should I do to solve this issue ?
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Unexpected message "Utility Module and Dynamic Web Module 2.4 cannot both be selected"

SkyFairy2
This post has NOT been accepted by the mailing list yet.
In reply to this post by Amshoff Christoph, Köln
เรายินดีให้คำแนะนำทุกคุณอย่างเป็นกันเอง บุหรี่ไฟฟ้า ทำให้ปราศจาก ทาร์ คาร์บอนมอนออกไซด์ บิวเทน แอมโมเนีย ไซยาไนด์ ไนโตรเจนไดออกไซด์ สารหนู ฟีนอล กัมมันตภาพรังสีและสารอื่นๆ ประมาณ 4000 ชนิด  ควันที่ออกมาไม่เป็นอันตรายต่อผู้สูบและคนรอบข้าง เพราะ ไม่ใช่ควันจากการเผาไหม้ แต่เป็นโดยละอองหมอกที่เกิดจากสารโพรไพลีนไกลคอล เพื่อคงไว้ซึ่งสุนทรีย์ในการสูบ หลังจากชาร์จไฟเต็มแล้ว แบตเตอรี่แต่ละมวนจะใช้ได้หนึ่งวันเต็มแม้สำหรับผู้สูบบุหรี่หนัก สารกัมมันตรังสี ควันบุหรี่มีสารโพโลเนียม 210 ที่มีรังสีอัลฟาอยู่ เป็นสาเหตุของโรคมะเร็งปอด บุหรี่ไฟฟ้า ซื้อที่ไหน ข้อมูลเกี่ยวกับ PG ของต่างประเทศก็มีหลากหลายเช่น ผมมีข้อมูลเล็กน้อยเกี่ยวกับแบตเตอรี่ชนิด Lithium-ion (อ่านว่า ลิเธียมไอออน) ซึ่งเชื่อว่าน่าจะเป็นชนิดที่บุหรี่ไฟฟ้าส่วนใหญ่จะใช้กัน ดังนี้ บุหรี่ ขอยืนยันว่า E-Liquid ทางเราผลิตและบรรจุขวดจากโรงงาน Dekang ไม่มีการปลอมแปลงหรือบรรจุขวดเองโดยเด็ดขาด เรื่องที่ 2 ซึ่งสำคัญมาก คือเรื่องการนับจำนวนครั้งในการใช้งาน จะคิดเป็น % เช่น ใช้ไปแล้ว 50% เมื่อนำมาชาร์จจะยังไม่นับเป็น 1 และสมมุติว่าใช้ไปอีก 50% แล้วนำมาชาร์จ ตอนนี้ถึงจะนับเป็น 1 นั่นหมายความว่า สามารถชาร์จแบตได้ทุกเมื่อโดยไม่ต้องรอให้หมดเกลี้ยง และจะนับเป็น 1 ครั้งเมื่อครบทุก 100%
Loading...